using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class CmAlarmAdmin {

        //알람 관리자 설정
        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "SMS API 사용을 위한 UserCode")]
        [StringLength(50)]
        public string UserCode { get; set; }
        [Display(Name = "SMS API 사용을 위한 DeptCode")]
        [StringLength(50)]
        public string DeptCode { get; set; }
        [Display(Name = "관리자 핸드폰 번호")]
        [StringLength(50)]
        public string PhoneNo { get; set; }
        [Display(Name = "관리자 구글 e-mail 주소")]
        [StringLength(50)]
        public string EmailAddress { get; set; }
        [Display(Name = "관리자 구글 e-mail 비밀번호")]
        [StringLength(50)]
        public string EmailPassword { get; set; }
    }
}
